Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractSwapCommunicator

[frames] | no frames]

# Class AbstractSwapCommunicator

source code

    object --+
             |
            AbstractSwapCommunicator

Known Subclasses:
  - RENSSwapCommunicator
  - , RESwapCommunicator

Holds all the information which needs to be communicated between distinct swap substeps.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, param_info, traj12, traj21) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| acceptance_probability
| accepted
| param_info
| sampler1
| sampler2
| traj12
| traj21
Inherited from `object`: `__class__`

Method Details

### __init__(self, param_info, traj12, traj21)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `param_info` (AbstractSwapParameterInfo) - ParameterInfo instance holding swap parameters
  - `traj12` (Trajectory) - Forward trajectory
  - `traj21` (Trajectory) - Reverse trajectory
Overrides: object.__init__
  (inherited documentation)

Property Details

### acceptance_probability

Get Method:
  unreachable.acceptance_probability(self)
Set Method:
  unreachable.acceptance_probability(self, value)

### accepted

Get Method:
  unreachable.accepted(self)
Set Method:
  unreachable.accepted(self, value)

### param_info

Get Method:
  unreachable.param_info(self)

### sampler1

Get Method:
  unreachable.sampler1(self)

### sampler2

Get Method:
  unreachable.sampler2(self)

### traj12

Get Method:
  unreachable.traj12(self)

### traj21

Get Method:
  unreachable.traj21(self)